Page MenuHomePhabricator

RFC: Add pywikibot-core to all new pywikibot-script/module/class tasks automatically
Closed, ResolvedPublic

Description

What do you think about setting a Phabricator bot to add pywikibot-core project to all new pywikibot-script/module/class tasks automatically? (except the pywikibot-compat of course)

The same works for some subprojects of MediaWiki's VisualEditor already, and could be helpful with sorting incoming tasks.

Event Timeline

Dvorapa created this task.Jul 9 2017, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2017, 7:39 PM
Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptJul 9 2017, 7:39 PM
Dvorapa updated the task description. (Show Details)Jul 9 2017, 7:40 PM
Dvorapa removed a subscriber: Restricted Owners Package.
Framawiki added a subscriber: Framawiki.

Of wat I understood, you want to set a new Herald rule that add Pywikibot tag for tasks that has Pywikibot-redirect.py or other script tag ?
I agree with this.

Dvorapa added a comment.EditedJul 9 2017, 10:04 PM

@Framawiki Exactly!

PS: Maybe we should discuss if there are some exceptions – pywikibot-* projects excluded from the proposed Herald rule

Xqt triaged this task as Lowest priority.Jul 10 2017, 4:54 AM
Xqt added a subscriber: Xqt.

I agree and don't see any exceptions.

I believe Phabricator also allows some kind of sub-project management, as well as "umbrella" projects. Just another possibility to explore.

matej_suchanek moved this task from Backlog to Upstream issues on the Pywikibot board.
matej_suchanek moved this task from To Triage to Herald rules on the Phabricator board.
Dalba added a subscriber: Dalba.Jul 11 2017, 5:31 AM

Will the tasks of a sub-project (e.g. Pywikibot-Scripts ) also automatically appear on the parent project workboard (Pywikibot)?

Dvorapa added a comment.EditedJul 11 2017, 11:45 AM

Possible exceptions:

Possible exceptions:

All of those are archived.

Dvorapa added a comment.EditedSep 2 2017, 11:39 PM

@MarcoAurelio I archived them recently

So the options are:

  • herald rule to add Pywikibot to all currently pywikibot scripts, or
  • convert independent script projects to subprojects.

@MarcoAurelio Exactly. You can see some links with details from @Aklapper above. I'm trying to find out some advantages or disadvantages of both approaches. Does anybody see some?

If we convert Pywikibot to a subproject, nobody will be able to just be a member of that project as parent projects inherit their membership from subprojects. There's a nice table at https://www.mediawiki.org/wiki/Phabricator/Project_management#Parent_Projects.2C_Subprojects_and_Milestones that can be helpful to decide.

This comment was removed by Dvorapa.
This comment was removed by Dvorapa.

My proposal:

  • Keep Pywikibot as is for issues with the pywikibot core itself.
  • Create Pywikibot-Scripts as a superproject for all pywikibot scripts.
    • create subprojects for all currently supported pywikibot scripts and move the current existing projects (ie: Pywikibot-archivebot.py to script-archivebot.py
  • Herald rule to add Pywikibot to all tasks about scripts running in core?

Thanks.

Dvorapa added a comment.EditedDec 12 2017, 11:21 AM

My proposal:

  • Keep Pywikibot as is for issues with the pywikibot core itself.
  • Create Pywikibot-Scripts as a superproject for all pywikibot scripts.
    • create subprojects for all currently supported pywikibot scripts and move the current existing projects (ie: Pywikibot-archivebot.py to script-archivebot.py
  • Herald rule to add Pywikibot to all tasks about scripts running in core?

Thanks.

I think this is a good idea to combine both approaches. I would maybe make a little modifications to your idea:

  • Keep Pywikibot as is for issues with the pywikibot core itself and merge Pywikibot-General into it.
  • Create Pywikibot-Scripts as a superproject for all pywikibot scripts and merge Pywikibot-Scripts into it.
    • create subprojects for all currently supported pywikibot scripts(many projects would be forever empty or containing only one task -> useless) move the current existing projects (ie: Pywikibot-archivebot.py to script-archivebot.py
  • Herald rule to add Pywikibot to all tasks about scripts running in core and to all tasks in Pywikibot-Wikidata, -Commons, -other-non-scripts
Restricted Application added a subscriber: Kizule. · View Herald TranscriptMar 19 2018, 10:37 PM

Sorry, I've forgot about this task. I'm okay with your proposal @Dvorapa If no concerns are raised I think we can do as you suggest.

Dvorapa added a comment.EditedMay 29 2018, 2:56 PM

No objections since @MarcoAurelio's proposal in Dec 2017, so let's go ahead!

What does "move" mean? Rename? Or creating subprojects under a yet-to-create Pywikibot-Scripts parent project which is separate from Pywikibot?

Is "scripts running in core" every script that is not under Pywikibot-Scripts, or something else? What is an example for -other-non-scripts?

What does "move" mean? Rename? Or creating subprojects under a yet-to-create Pywikibot-Scripts parent project which is separate from Pywikibot?

Is "scripts running in core" every script that is not under Pywikibot-Scripts, or something else? What is an example for -other-non-scripts?

See subtask description: T195855

Dvorapa changed the task status from Open to Stalled.EditedSep 29 2018, 9:56 AM

Waiting for T195855 and T195893

Dvorapa closed this task as Resolved.Mar 23 2019, 10:20 PM
Dvorapa assigned this task to Aklapper.